Databases
Start a background Database mutation
Explicit Operations admission for filtered UPDATE/DELETE, reviewed view mutations, and TRUNCATE. Poll Operations for durable counters. Retry resumes remaining records; committed batches are never replayed. System notifications are enabled unless skipNotification is true. Existing synchronous mutation routes retain their contract.
POST
/
api
/
v1
/
databases
/
operations
Start a background Database mutation
curl --request POST \
--url https://api.revoengine.com/api/v1/databases/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"databaseName": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({databaseName: '<string>'})
};
fetch('https://api.revoengine.com/api/v1/databases/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/databases/operations"
payload = { "databaseName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"accepted": true,
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}Body
application/json
⌘I
Start a background Database mutation
curl --request POST \
--url https://api.revoengine.com/api/v1/databases/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"databaseName": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({databaseName: '<string>'})
};
fetch('https://api.revoengine.com/api/v1/databases/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/databases/operations"
payload = { "databaseName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"accepted": true,
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}
